# Poco::Data

# template < typename T >

# class Preparation

Library: Data
Package: DataCore
Header: Poco/Data/Preparation.h

## Description

Class for calling the appropriate AbstractPreparator method.

## Inheritance

Direct Base Classes: AbstractPreparation

All Base Classes: AbstractPreparation

## Member Summary

Member Functions: prepare

Inherited Functions: operator =, preparation, prepare

## Constructors

### Preparation

Preparation(
AbstractPreparator::Ptr & pPreparator,
std::size_t pos,
T & val
);

Creates the Preparation.

## Destructor

### ~Preparation

~Preparation();

Destroys the Preparation.

## Member Functions

### prepare

void prepare();

Prepares data.

See also: Poco::Data::AbstractPreparation::prepare()